# Video Creatives

To work with the MediaMath API with Video Creatives, first generate an [authentication token](/guides/authentication).

For more information on Video Creatives, please see the [Video/VPAID Specification](https://support.infillion.com/article/s/article/Video-Creative-Format-Specs) and [The MediaMath Platform Video/Audio tab](https://support.infillion.com/article/s/article/Video-Audio-Tab).

*Example HTTPie command to list all video creatives.*
`http GET https://api.mediamath.com/api/v3.0/atomic_creatives?q==media_type==video`

## Migration Notice

The following V2.0 endpoints are deprecated and replaced by V3.0 equivalents.

| Deprecated V2.0 Endpoint | Use Instead |
|---|---|
| `GET /api/v2.0/atomic_creatives` | `POST /v3.0/creatives/list` |
| `GET /api/v2.0/atomic_creatives/{atomic_creative_id}` | `GET /v3.0/creatives/{creativeId}` |
| `POST /video/v2.0/creatives` | `POST /v3.0/creatives` |
| `GET /video/v2.0/creatives/{video_id}` | `GET /v3.0/creatives/{creativeId}` |
| `POST /video/v2.0/creatives/{video_id}` | `POST /v3.0/creatives/{creativeId}` or `PATCH /v3.0/creatives/{creativeId}` |
| `GET /video/v2.0/creatives/{video_id}/companions` | `GET /v3.0/creatives/{creativeId}/companions` |
| `POST /video/v2.0/creatives/{video_id}/companions` | `POST /v3.0/creatives/{creativeId}/companions` |
| `GET /video/v2.0/creatives/{video_id}/companions/{companion_id}/delete` | `DELETE /v3.0/creatives/{creativeId}/companions/{companionId}` |
| `POST /video/v2.0/creatives/{video_id}/upload` | `POST /v3.0/creatives` with the `fileName` field (returns a pre-signed S3 upload URL) |
| `POST /video/v2.0/creatives/validateVAST` | `POST /v3.0/creatives/validateVAST` |

See the **Video Creative Management (V3)** section below for the V3.0 API.

Version: v1.0
License: Apache 2.0

## Servers

```
https://api.mediamath.com
```

## Security

### OAuth2

Type: oauth2
Token URL: https://auth.mediamath.com
Scopes:

## Download OpenAPI description

[Video Creatives](https://apidocs.mediamath.com/_bundle/apis/video-creatives.yaml)

## Video Creative Management (V2)

V2.0 video creative endpoints (legacy)

### Get Video Creative Companions

 - [GET /video/v2.0/creatives/{video_id}/companions](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v2)/get_video-v2-0-creatives-video_id-companions.md): > ⚠️ Deprecated — Use GET /v3.0/creatives/{creativeId}/companions instead.

Get Video Creative Companions

### Create Video Creative Companions

 - [POST /video/v2.0/creatives/{video_id}/companions](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v2)/post_video-v2-0-creatives-video_id-companions.md): > ⚠️ Deprecated — Use POST /v3.0/creatives/{creativeId}/companions instead.

Create Video Creative Companions

### Upload Video Creative

 - [POST /video/v2.0/creatives/{video_id}/upload](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v2)/post_video-v2-0-creatives-video_id-upload.md): > ⚠️ Deprecated — Use POST /v3.0/creatives (Create a new video creative - V3)
> and supply the fileName field to receive a pre-signed S3 upload URL.

Upload Video Creative

### Get Video Creative Variants

 - [GET /video/v2.0/creatives/{video_id}/variants](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v2)/get_video-v2-0-creatives-video_id-variants.md): Get all encoded video variants for the creative, including asset path and video info.

### Get Video Creative Variant

 - [GET /video/v2.0/creatives/{video_id}/variants/{variant_id}](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v2)/get_video-v2-0-creatives-video_id-variants-variant_id.md): Get Video Creative Variant

### Get Video Creative Status

 - [GET /video/v2.0/creatives/{video_id}/status](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v2)/get_video-v2-0-creatives-video_id-status.md): Includes upload status, encoding info, encoding percent.

### Delete Video Creative Companion

 - [GET /video/v2.0/creatives/{video_id}/companions/{companion_id}/delete](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v2)/get_video-v2-0-creatives-video_id-companions-companion_id-delete.md): > ⚠️ Deprecated — Use DELETE /v3.0/creatives/{creativeId}/companions/{companionId} instead.

Delete companion ad for the specified creative.

### Validate VAST XML

 - [POST /video/v2.0/creatives/validateVAST](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v2)/post_video-v2-0-creatives-validatevast.md): > ⚠️ Deprecated — Use POST /v3.0/creatives/validateVAST instead.

Validates the provided VAST XML content and returns any errors or warnings.

### Get Video creative VAST XML

 - [GET /video/v2.0/creatives/{video_id}/vast](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v2)/get-video-creative-vast-xml.md): This get endpoint returns an XML of video creative instead of a JSON

### Update creative VAST with Extension node

 - [POST /video/v2.0/creatives/{video_id}/vast/extension](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v2)/update-creative-vast-with-extension-node.md): Add extension XML to the creative's VAST template.

## Video Creative Management (V3)

V3.0 video creative management endpoints

### Bulk create video creatives

 - [PUT /v3.0/creatives/bulk](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/put_v3-0-creatives-bulk.md): Create a set of video creatives (bulk upload) - V3

### Bulk update video creatives

 - [PATCH /v3.0/creatives/bulk](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/patch_v3-0-creatives-bulk.md): Update a set of video creatives (bulk update) - V3

### Create a new video creative

 - [POST /v3.0/creatives](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/post_v3-0-creatives.md): Create a new video creative - V3.

### Uploading a video file

To upload a video, supply the fileName field in the request body
(see the Create with fileName sample in the Request samples panel).
The response then includes a pre-signed S3 uploadUrl (valid for
expiresIn seconds), which the client uses to PUT the file directly to S3:

bash
curl -X PUT \
    -H "x-amz-acl: public-read" \
    -H "x-amz-meta-creative: {{CREATIVE_ID}}" \
    -H "Content-Type: {{UPLOADED_FILE_CONTENT_TYPE}}" \
    --upload-file "{{UPLOADED_FILE_PATH/File.mp4}}" \
    "{{S3_PRESIGNED_URL}}"


The x-amz-acl: public-read and x-amz-meta-creative:  headers
are required (both are signed into the pre-signed URL).

### Bulk get creatives by IDs

 - [POST /v3.0/creatives/list](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/post_v3-0-creatives-list.md): Retrieve multiple video creatives by their IDs

### Get creative details

 - [GET /v3.0/creatives/{creativeId}](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/get_v3-0-creatives-creativeid.md): Get status/details for the video creative - V3

### Update video creative (full update)

 - [POST /v3.0/creatives/{creativeId}](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/post_v3-0-creatives-creativeid.md): Update the video creative - must post all data, any omitted fields will be removed

### Update video creative (partial update)

 - [PATCH /v3.0/creatives/{creativeId}](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/patch_v3-0-creatives-creativeid.md): Allows partial updates to a video creative - V3

### Validate VAST XML - V3

 - [POST /v3.0/creatives/validateVAST](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/post_v3-0-creatives-validatevast.md): Validates the provided VAST XML content and returns any errors or warnings.

### List history for a creative - V3

 - [GET /v3.0/creatives/{creativeId}/history](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/get_v3-0-creatives-creativeid-history.md): List history for a creative

### Delete history entry for creative - V3

 - [DELETE /v3.0/creatives/{creativeId}/history](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/delete_v3-0-creatives-creativeid-history.md): Delete history entry for creative

### Create companion ad - V3

 - [POST /v3.0/creatives/{creativeId}/companions](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/post_v3-0-creatives-creativeid-companions.md): Post new companion details and receive the new companion ID.
Regenerates the creative's MetaVAST document after the companion is created.

### Get all companions - V3

 - [GET /v3.0/creatives/{creativeId}/companions](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/get_v3-0-creatives-creativeid-companions.md): Get all companion ads for the creative.

### Get specific companion - V3

 - [GET /v3.0/creatives/{creativeId}/companions/{companionId}](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/get_v3-0-creatives-creativeid-companions-companionid.md): Get a specific companion ad for the creative.

### Update companion - V3

 - [POST /v3.0/creatives/{creativeId}/companions/{companionId}](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/post_v3-0-creatives-creativeid-companions-companionid.md): Update an existing companion's details.
Regenerates the creative's MetaVAST document after the companion is updated.

### Delete companion - V3

 - [DELETE /v3.0/creatives/{creativeId}/companions/{companionId}](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/delete_v3-0-creatives-creativeid-companions-companionid.md): Delete a companion from the creative.
Regenerates the creative's MetaVAST document after the companion is deleted.

## Classification (V1.0 - Deprecated)

{% admonition type="danger" name="This API is deprecated and will be removed in July 2026" %}
  Please migrate to the **Classification API v3.0** documented below.
{% /admonition %}

{% admonition type="warning" name="Notice about authentication with cookie adama_session" %}
  The use of cookie `adama_session` for authentication has been discontinued and it's not supported in Classification API v3.0.
  We ask all of our clients who have not yet migrated to **Bearer (JWT) Authentication** to do so as soon as possible.
{% /admonition %}

Creative classification endpoints (V1.0 — deprecated).


### Get Inflated Classification

 - [GET /classification/v1.0/{creative_id}/inflate](https://apidocs.mediamath.com/apis/video-creatives/classification-(v1.0-deprecated)/get_classification-v1-0-creative_id-inflate.md): > ⚠️ Deprecated — Use GET /v3.0/classification/{cid}/inflate instead.

Get Inflated Classification

### Bulk Inflated Classification

 - [GET /classification/v1.0/bulk/{creative_ids}/inflate](https://apidocs.mediamath.com/apis/video-creatives/classification-(v1.0-deprecated)/get_classification-v1-0-bulk-creative_ids-inflate.md): > ⚠️ Deprecated — Use GET /v3.0/classification/bulk/{cids}/inflate instead.

The bulk classification endpoints are useful for batch retrieval and editting of a group of existing creatives.

### Bulk Classification

 - [GET /classification/v1.0/bulk/{creative_ids}](https://apidocs.mediamath.com/apis/video-creatives/classification-(v1.0-deprecated)/get_classification-v1-0-bulk-creative_ids.md): > ⚠️ Deprecated — Use GET /v3.0/classification/bulk/{cids} instead.

The bulk classification endpoints are useful for batch retrieval and editting of a group of existing creatives.

### Bulk Update Classification

 - [POST /classification/v1.0/bulk](https://apidocs.mediamath.com/apis/video-creatives/classification-(v1.0-deprecated)/post_classification-v1-0-bulk.md): > ⚠️ Deprecated — Use POST /v3.0/classification/bulk instead.

Prior to creating or updating the classification record of any creative, those creatives must exist.

Unlike in the single creative classifiction, no creative IDs are passed in the url itself.

### Update Classification

 - [POST /classification/v1.0/{creative_id}](https://apidocs.mediamath.com/apis/video-creatives/classification-(v1.0-deprecated)/post_classification-v1-0-creative_id.md): > ⚠️ Deprecated — Use POST /v3.0/classification/{cid} instead.

Update Classification

### Get Classification

 - [GET /classification/v1.0/{creative_id}](https://apidocs.mediamath.com/apis/video-creatives/classification-(v1.0-deprecated)/get_classification-v1-0-creative_id.md): > ⚠️ Deprecated — Use GET /v3.0/classification/{cid} instead.

Get Classification

## Classification (V3)

V3.0 creative classification endpoints. Uses Bearer (JWT) authentication.

### Get a Classification by ID

 - [GET /v3.0/classification/{cid}](https://apidocs.mediamath.com/apis/video-creatives/classification-(v3)/get_v3-0-classification-cid.md): Retrieve a classification object using the atomic creative ID.

### Save a Classification

 - [POST /v3.0/classification/{cid}](https://apidocs.mediamath.com/apis/video-creatives/classification-(v3)/post_v3-0-classification-cid.md): Save a classification object using the atomic creative ID.

### Force-publish a Classification

 - [POST /v3.0/classification/{cid}/force-publish](https://apidocs.mediamath.com/apis/video-creatives/classification-(v3)/post_v3-0-classification-cid-force-publish.md): Force-publish the classification for the given atomic creative ID.

### Get an Inflated Classification by ID

 - [GET /v3.0/classification/{cid}/inflate](https://apidocs.mediamath.com/apis/video-creatives/classification-(v3)/get_v3-0-classification-cid-inflate.md): Retrieve an inflated classification object using the atomic creative ID.

### Save Bulk Classification

 - [POST /v3.0/classification/bulk](https://apidocs.mediamath.com/apis/video-creatives/classification-(v3)/post_v3-0-classification-bulk.md): Save multiple classification objects using a bulk request.

### Get Bulk Classification by IDs

 - [GET /v3.0/classification/bulk/{cids}](https://apidocs.mediamath.com/apis/video-creatives/classification-(v3)/get_v3-0-classification-bulk-cids.md): Retrieve multiple classification objects using a comma-separated list of atomic creative IDs.

### Get Bulk Inflated Classification by IDs

 - [GET /v3.0/classification/bulk/{cids}/inflate](https://apidocs.mediamath.com/apis/video-creatives/classification-(v3)/get_v3-0-classification-bulk-cids-inflate.md): Retrieve multiple inflated classification objects using a comma-separated list of atomic creative IDs.

## IAB (V1.0 - Deprecated)

{% admonition type="danger" name="This API is deprecated and will be removed in July 2026" %}
  Please migrate to the **IAB Data API v3.0** (`GET /v3.0/static_data/{category}`) documented below.
{% /admonition %}

{% admonition type="warning" name="Notice about authentication with cookie adama_session" %}
  The use of cookie `adama_session` for authentication has been discontinued and it's not supported in V3.0.
  We ask all of our clients who have not yet migrated to **Bearer (JWT) Authentication** to do so as soon as possible.
{% /admonition %}

IAB static data endpoints (V1.0 — deprecated).


### Get IAB Attributes List

 - [GET /static_data/v1.0/iab_attributes](https://apidocs.mediamath.com/apis/video-creatives/iab-(v1.0-deprecated)/get_static_data-v1-0-iab_attributes.md): > ⚠️ Deprecated — Use GET /v3.0/static_data/iab_attributes instead.

Get IAB Attributes List

### Get IAB Language

 - [GET /static_data/v1.0/language/{language_id}](https://apidocs.mediamath.com/apis/video-creatives/iab-(v1.0-deprecated)/get_static_data-v1-0-language-language_id.md): > ⚠️ Deprecated — Use GET /v3.0/static_data/language/{id} instead.

Get IAB Language

### List IAB Verticals

 - [GET /static_data/v1.0/iab_verticals](https://apidocs.mediamath.com/apis/video-creatives/iab-(v1.0-deprecated)/get_static_data-v1-0-iab_verticals.md): > ⚠️ Deprecated — Use GET /v3.0/static_data/iab_verticals instead.

List IAB Verticals

### Get IAB Vertical

 - [GET /static_data/v1.0/iab_verticals/{vertical_id}](https://apidocs.mediamath.com/apis/video-creatives/iab-(v1.0-deprecated)/get_static_data-v1-0-iab_verticals-vertical_id.md): > ⚠️ Deprecated — Use GET /v3.0/static_data/iab_verticals/{id} instead.

Get IAB Vertical

### List IAB Languages

 - [GET /static_data/v1.0/language](https://apidocs.mediamath.com/apis/video-creatives/iab-(v1.0-deprecated)/get_static_data-v1-0-language.md): > ⚠️ Deprecated — Use GET /v3.0/static_data/language instead.

List IAB Languages

### Get IAB Attribute

 - [GET /static_data/v1.0/iab_attributes/{id}](https://apidocs.mediamath.com/apis/video-creatives/iab-(v1.0-deprecated)/get-iab-attribute.md): > ⚠️ Deprecated — Use GET /v3.0/static_data/iab_attributes/{id} instead.

Get IAB Attribute

## IAB Data (V3)

V3.0 IAB data endpoints. A single pair of endpoints serves all categories
(`iab_verticals`, `iab_attributes`, `language`). Uses Bearer (JWT) authentication.


### Get IAB Data by Category

 - [GET /v3.0/static_data/{category}](https://apidocs.mediamath.com/apis/video-creatives/iab-data-(v3)/get_v3-0-static_data-category.md): Retrieve IAB data for a category (e.g., iab_verticals, language, iab_attributes).

### Get IAB Data Item by Category and ID

 - [GET /v3.0/static_data/{category}/{id}](https://apidocs.mediamath.com/apis/video-creatives/iab-data-(v3)/get_v3-0-static_data-category-id.md): Retrieve a single IAB data item for a category (e.g., iab_verticals, language, iab_attributes).

